Bug 1300771 (CVE-2015-8817, CVE-2015-8818) - CVE-2015-8817 CVE-2015-8818 Qemu: OOB access in address_space_rw leads to segmentation fault
Summary: CVE-2015-8817 CVE-2015-8818 Qemu: OOB access in address_space_rw leads to seg...
Status: CLOSED ERRATA
Alias: CVE-2015-8817, CVE-2015-8818
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160127,reported=2...
Keywords: Security
Depends On: 1313273 1335741 1335742 1335743 1335744 1335745 1386697
Blocks: 1300775
TreeView+ depends on / blocked
 
Reported: 2016-01-21 16:51 UTC by Adam Mariš
Modified: 2019-06-08 20:57 UTC (History)
39 users (show)

(edit)
An out-of-bounds flaw was found in the QEMU emulator built using 'address_space_translate' to map an address to a MemoryRegionSection. The flaw could occur while doing pci_dma_read/write calls, resulting in an out-of-bounds read-write access error. A privileged user inside a guest could use this flaw to crash the guest instance (denial of service).
Clone Of:
(edit)
Last Closed: 2016-11-23 11:04:07 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2670 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security, bug fix, and enhancement update 2016-11-07 23:14:27 UTC
Red Hat Product Errata RHSA-2016:2671 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security, bug fix, and enhancement update 2016-11-07 23:14:15 UTC
Red Hat Product Errata RHSA-2016:2704 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security, bug fix, and enhancement update 2016-11-15 00:44:07 UTC
Red Hat Product Errata RHSA-2016:2705 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security, bug fix, and enhancement update 2016-11-15 01:03:43 UTC
Red Hat Product Errata RHSA-2016:2706 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security, bug fix, and enhancement update 2016-11-15 00:55:21 UTC

Description Adam Mariš 2016-01-21 16:51:13 UTC
Qemu emulator built to use 'address_space_translate' to map an address to a MemoryRegionSection is vulnerable to an OOB r/w access issue. It could occur while doing pci_dma_read/write calls. Affects Qemu versions >= 1.6.0 & <= 2.3.1.

A privileged user inside guest could use this flaw to crash the guest instance resulting in DoS.

Upstream patches:
-----------------
  ->  http://git.qemu.org/?p=qemu.git;a=commit;h=c3c1bb99d1c11978d9ce94d1bd 
  ->  http://git.qemu.org/?p=qemu.git;a=commit;h=e4a511f8cc6f4a46d409fb5c9f 
  ->  http://git.qemu.org/?p=qemu.git;a=commit;h=965eb2fcdfe919ecced6c34803 
  ->  http://git.qemu.org/?p=qemu.git;a=commit;h=b242e0e0e2969c044a318e56f7 
 [*] https://lists.gnu.org/archive/html/qemu-stable/2016-01/msg00060.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/03/01/1

Comment 2 Prasad J Pandit 2016-03-01 08:11:35 UTC
Statement:

(none)

Comment 3 Prasad J Pandit 2016-03-01 09:43:08 UTC
Acknowledgements:

Red Hat would like to thank Donghai Zdh of Alibaba Inc. for reporting this issue.

Comment 4 Prasad J Pandit 2016-03-01 09:55:13 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1313273]

Comment 5 Fedora Update System 2016-03-19 21:24:11 UTC
xen-4.5.2-9.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-03-20 02:28:08 UTC
xen-4.5.2-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 errata-xmlrpc 2016-11-07 18:15:28 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2016:2671 https://rhn.redhat.com/errata/RHSA-2016-2671.html

Comment 11 errata-xmlrpc 2016-11-07 18:16:36 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 8.0 (Liberty)

Via RHSA-2016:2670 https://rhn.redhat.com/errata/RHSA-2016-2670.html

Comment 12 errata-xmlrpc 2016-11-14 19:45:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7

Via RHSA-2016:2704 https://rhn.redhat.com/errata/RHSA-2016-2704.html

Comment 13 errata-xmlrpc 2016-11-14 19:59:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 5.0 (Icehouse) for RHEL 7

Via RHSA-2016:2706 https://rhn.redhat.com/errata/RHSA-2016-2706.html

Comment 14 errata-xmlrpc 2016-11-14 20:05:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7

Via RHSA-2016:2705 https://rhn.redhat.com/errata/RHSA-2016-2705.html


Note You need to log in before you can comment on or make changes to this bug.